/* -----------------------------------------------------------------------------------
PAGE TEMPLATE QUIZ
-----------------------------------------------------------------------------------*/
.quiz-container {
    background-color: #DADADA;
    padding: 80px 0 105px 0;
    display: none;
}
.quiz-container.active {
    display: block;
}
.quiz-wrapper {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    max-width: 1675px;
    margin: 0 auto;
}
.quiz-step {
    margin-bottom: 50px;
}
.quiz-step h3 {
    font-family: Stack Sans Headline;
    font-size: 30px;
    font-weight: 400;
    line-height: 1;
    color: #000000;
}
.quiz-question {
    margin-bottom: 30px;
}
.quiz-question h3 {
    font-family: Stack Sans Headline;
    font-size: 40px;
    font-weight: 400;
    line-height: 1;
    color: #000000;
}
.btn-quiz {
    border-radius: 50px;
    background-color: #043026E5;
    color: #FFFFFF;
    padding: 19px 84px;
    font-family: Stack Sans Headline;
    font-size: 16px;
    font-weight: 400;
    line-height: 1;
    text-transform: capitalize;
    border: 0;
    transition: all 0.3s ease;
}
.btn-quiz:hover,
.btn-quiz:focus {
    background-color: #163024;
}
.quiz-label {
    font-family: Stack Sans Headline;
    font-weight: 400;
    font-size: 18px;
    line-height: 1;
    color: #000000;
    margin-bottom: 50px;
}
.quiz-answer-wrapper {
    display: flex;
    flex-direction: column;
    width: 100%;
    margin-bottom: 40px;
}
.quiz-btn-wrapper {
    display: flex;
    justify-content: flex-end;
    width: 100%;
}
.quiz-btn-wrapper:not(:has(:only-child)) {
	justify-content: space-between;
}
.quiz-btn-wrapper:has(:only-child) {
  justify-content: flex-end;
}
.quiz-answer {
    display: flex;
    justify-content: space-between;
    flex-direction: row-reverse;
    border-bottom: 1px solid #898989;
}
.quiz-answer input[type="radio"] {
    display: none;
}
.quiz-answer label {
    font-family: Stack Sans Headline;
    font-weight: 400;
    font-size: 40px;
    line-height: 1;
    color: #000000;
    position: relative;
    cursor: pointer;
    width: 100%;
    padding: 30px 0;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 30px;
}
.quiz-answer label input[type="text"] {
    background-color: transparent;
    border: 0;
    padding: 0;
    font-size: 40px;
    font-weight: 400;
    line-height: 1;
    max-width: 85%;
}
.quiz-answer label input[type="text"]:focus-visible {
    outline: 0;
}
.quiz-answer label::after {
    content: '';
    position: absolute;
    background: url('../img/check.png') no-repeat center center;
    right: 30px;
    top: 50%;
    transform: translateY(-50%);
    width: 44px;
    height: 44px;
    opacity: 0;
    transition: opacity 0.2s ease;
}
.quiz-answer input[type="radio"]:checked + label::after {
    opacity: 1;
}
.custom-block-quiz-input {
    padding: 42px 40px 39px 40px !important;
    background-color: #CFCFCF; 
    color: #000000;
    font-family: 'Stack Sans Headline';
    font-weight: 400;
    font-size: 24px;
    border: none !important;
}
.custom-block-quiz-input::placeholder {
    color: #919191;
}
.custom-block-quiz-input:focus-visible {
    outline: 1px solid #043026E5;
}
.ui-datepicker {
    width: unset !important;
}

.kuesioner-site-main {
	max-width: unset !important;
}
.kuesioner-container,
.quiz-container.active {
	min-height: 100dvh;
}
